Bug 31926 - V8 WorkerContextExecutionProxy does not have necessary guards for SHARED_WORKERS
Summary: V8 WorkerContextExecutionProxy does not have necessary guards for SHARED_WORKERS
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Steve Block
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-11-27 04:30 PST by Steve Block
Modified: 2009-11-30 09:03 PST (History)
3 users (show)

See Also:


Attachments
Patch 1 for Bug 31926 (3.15 KB, patch)
2009-11-27 04:51 PST, Steve Block
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Block 2009-11-27 04:30:49 PST
V8 WorkerContextExecutionProxy does not have necessary guards for SHARED_WORKERS. Methods of this class use types only defined when SHARED_WORKERS is enabled.
Comment 1 Steve Block 2009-11-27 04:51:58 PST
Created attachment 43944 [details]
Patch 1 for Bug 31926
Comment 2 Eric Seidel (no email) 2009-11-28 09:38:18 PST
Comment on attachment 43944 [details]
Patch 1 for Bug 31926

OK
Comment 3 WebKit Commit Bot 2009-11-30 09:03:43 PST
Comment on attachment 43944 [details]
Patch 1 for Bug 31926

Clearing flags on attachment: 43944

Committed r51493: <http://trac.webkit.org/changeset/51493>
Comment 4 WebKit Commit Bot 2009-11-30 09:03:50 PST
All reviewed patches have been landed.  Closing bug.